(JA) PSM: Cut off strings in "Load PKCS#11 Module" dialog

VERIFIED FIXED in psm2.1

Status

P2
normal
VERIFIED FIXED
18 years ago
2 years ago

People

(Reporter: andreasb, Assigned: ddrinan0264)

Tracking

({l12y})

1.0 Branch
psm2.1
x86
Windows NT

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [PDT+] checked in on branch [verified on the branch] [ckritzer])

Attachments

(2 attachments)

(Reporter)

Description

18 years ago
Build: JA Win Beta1 build 20010607

Steps:
1. In Preferences select category "Privacy and Security/Certificates"
2. Click on "Manage Security Devices"
3. In "Device Manager" dialog click on Load
4. see Load PKCS#11 Device dialog is too small, it cuts off the strings and 
button

(See attachment)



------- Additional Comments From andreasb@netscape.com 2001-06-14 15:26:27 ----

Adding jaRTM keyword.



------- Additional Comments From andreasb@netscape.com 2001-06-14 15:27:06 ----

Created an attachment (id=1866)
JA "Load PKCS#11 Module" dialog




------- Additional Comments From mcarlson@netscape.com 2001-06-28 10:14:03 ----

reassigning to rchen



------- Additional Comments From rchen@netscape.com 2001-06-28 11:06:08 ----

Reassigned to javi.

Andreas, you probably need to move the bug to bugzilla.



------- Bug moved to this database by andreasb@netscape.com 2001-06-28 13:46 -------

This bug previously known as bug 6475 at http://bugscape.netscape.com/
http://bugscape.netscape.com/show_bug.cgi?id=6475
Originally filed under the Browser product and Localization-JA component.

---
Unknown bug field "attachment" encountered while moving bug
<attachment>
  <attachid> 1866 </attachid>
  <date> 06/14/01 15:27 </date>
  <desc> JA "Load PKCS#11 Module" dialog </desc>
</attachment>
Skipping unknown keyword: jaRTM.

Comment 1

18 years ago
re-assign to ssaux for triage
Assignee: javi → ssaux
Status: NEW → UNCONFIRMED
(Reporter)

Comment 2

18 years ago
Created attachment 40507 [details]
JA "Load PKCS#11 Module" dialog
(Reporter)

Comment 3

18 years ago
adding nsbeta1 keyword.
Status: UNCONFIRMED → NEW
Ever confirmed: true
Keywords: nsbeta1
(Reporter)

Updated

18 years ago
Keywords: l12y

Comment 4

18 years ago
change to psm
The preference password setting dialog has been modified.  Can you test the 
latest 0.9.2 branch build to tell us whether the japanese version still has this 
problem?
Component: Browser-General → Client Library
Product: Browser → PSM
Target Milestone: --- → 2.1
Version: other → 2.0
(Reporter)

Comment 5

18 years ago
We are awaiting a new Japanese build within the next few days.  Changing QA
contact to ji@netscape.com.  Xianglan, can you retest this once we received the
new Japanese build?
QA Contact: ylong → ji

Comment 6

18 years ago
Checked the Japanese build based on 07/05 branch build, the problem is still there.

Comment 7

18 years ago
-> ddrinan
Assignee: ssaux → ddrinan

Comment 8

17 years ago
If we can't make the dialog resize itself automatically, can we at least 
make it size localizable? In other word, explicitly assign width/height to the 
dialog window and externalize the width/height into *.dtd.

Also, making the dialog resizable migh be a quick workaround. 

Comment 9

17 years ago
The problem is at:

http://lxr.mozilla.org/mozilla/source/security/manager/pki/resources/content/device_manager.js#324

324 window.open("load_device.xul", "loaddevice", 
325 "chrome,width=300,height=200,resizable=0,dialog=1,modal=1");


Can you try removing the width and height attributes and see if it displays
correclty?

Comment 10

17 years ago
Created attachment 42023 [details] [diff] [review]
make dlg sizable; externalize wid/hei into property file

Comment 11

17 years ago
Hi, David/McGreer:


Would you r/sr and then check it in for me? I don't have the permission to 
security module. thx.
Whiteboard: need r/sr=

Comment 12

17 years ago
r=mcgreer
sr=blizzard

Comment 14

17 years ago
PDT+ per email to PDT.  Pls check into branch as soon as possible now that you 
have the r and sr.
Whiteboard: need r/sr= → [PDT+] need r/sr=
(Assignee)

Comment 15

17 years ago
Checked into the branch.

Comment 16

17 years ago
David, does this bug remain open only to check the fix in to the trunk?
Whiteboard: [PDT+] need r/sr= → [PDT+] checked in on branch

Comment 17

17 years ago
Is this really checked in on the branch, or did you mean it was already in on
the trunk?  (It makes a big difference!)
(Assignee)

Comment 18

17 years ago
It's checked into the branch. 
(Assignee)

Comment 19

17 years ago
It's now checked into the trunk also.

Comment 20

17 years ago
Please close it fixed now :-)

Comment 21

17 years ago
let me have the honor; just try to speed it up.
Status: NEW → RESOLVED
Last Resolved: 17 years ago
Resolution: --- → FIXED

Comment 22

17 years ago
Verified with the Ja build based on 07/17 branch build.
The dialog window is resizable now.  
But the default window size on Japanese build is too small. Will file a seperate
bugscape bug against Ja build.
Whiteboard: [PDT+] checked in on branch → [PDT+] checked in on branch [verified on the branch]

Comment 23

17 years ago
We may be able to change the size. I will look into it.

Comment 24

17 years ago
The size settings have been moved to pippki.properties.

Updated

17 years ago
Keywords: vtrunk

Comment 25

17 years ago
On EN systems,

This is fixed on the Trunk for:
- Win98SE 2001-08-22-06-trunk (commercial)

But is still clipping the [Browse] button & Module Name text input field for:
- MacOS91 2001-08-22-08-trunk (commercial)
- MacOS_X 2001-08-22-05-trunk (mozilla)
- LinRH62 2001-08-22-08-trunk (commercial) (it chops the [Browse] button in half)

I'm tempted to re-open, but I'd like ji's input first.
Whiteboard: [PDT+] checked in on branch [verified on the branch] → [PDT+] checked in on branch [verified on the branch] [ckritzer]

Comment 26

17 years ago
This dialog window is not resizable before the fix. Now the size is resizable 
and externalized to the property file, But the initial size is not big enough 
for English build on linux and mac system, the size is ajusted on Japanese 
builds though. I suggest a new bug be filed for the initial size problem on 
Linux and Mac.

Comment 27

17 years ago
Marked it as verified. It's fixed.
Status: RESOLVED → VERIFIED

Updated

14 years ago
Component: Security: UI → Security: UI
Product: PSM → Core

Updated

10 years ago
Version: psm2.0 → 1.0 Branch
Product: Core → Core Graveyard
You need to log in before you can comment on or make changes to this bug.